Skip to content

Places

Manage saved places

Get List of Places

Lists places for the entire account.

GET

http
https://api.zubiecar.com/api/v2/zinc/places

Query Parameters

PropertyTypeDescription
cursorstringThe cursor string used for pagination, signifying the object ID where to start the results.
sizestringThe number of results to return per call. Defaults to 100 if not provided.
Sample response 200
json
{
  "places": [
    {
      "category": "other",
      "point": {
        "lat": 40.74778,
        "lon": -73.99889
      },
      "name": "Headquarters",
      "address": "8120 Penn Ave S  Bloomington, MN 55431",
      "created": "2018-02-20T12:00:00",
      "key": "SampleKey",
      "from_time": "12:00:00",
      "to_time": "12:00:00",
      "active_weekdays": [0, 1, 2, 3, 4, 5, 6],
      "notifying_arrival": true,
      "notifying_departure": true,
      "radius": 0.01893939394,
      "radius_um": "mi",
      "updated": "2018-02-20T12:00:00"
    }
  ]
}

Create Place

Create a new place.

POST

http
https://api.zubiecar.com/api/v2/zinc/places

Request Body Schema

PropertyTypeDescription
namestringPlace name.
categorystringOne of the following home, work, school, business or other.
pointobject (LocationPoint)
addressstringAddress of location.
from_timestring requiredA string timestamp in the form hh:mm indicating the starting time window for detecting arrival/departure events, on active weekdays. Set to 00:00 for no time windows.
to_timestring requiredA string timestamp in the form hh:mm indicating the ending time window for detecting arrival/departure events, on active weekdays. Set to 00:00 for no time windows.
active_weekdaysArray of any requiredAn array of integers indicating days of the week to detect geofence events, where Monday is 0 and Sunday is 6. Define as a comma separated list of numbers.
notifying_arrivalbooleanFlag determines whether arrival notifications will be generated. The default behavior (if null), is to generate notifications. If disabled, place visits will still be tracked based on the weekday/time windows.
notifying_departurebooleanFlag determines whether departure notifications will be generated. The default behavior (if null), is to generate notifications. If disabled, place visits will still be tracked based on the weekday/time windows.
radiusnumber (double)Radius for triggering arrival/departure.
radius_umstringUnit of measure for radius, mi or km.
Sample request body
json
{
  "category": "other",
  "point": {
    "lat": 40.74778,
    "lon": -73.99889
  },
  "name": "Headquarters",
  "address": "8120 Penn Ave S  Bloomington, MN 55431",
  "from_time": "00:00",
  "to_time": "00:00",
  "active_weekdays": [
    0,
    2
  ],
  "notifying_arrival": true,
  "notifying_departure": true,
  "radius": 0.01893939394,
  "radius_um": "mi"
}

Get Place by Key

Retrieve a specific place.

GET

http
https://api.zubiecar.com/api/v2/zinc/place/{place_key}

Path Parameters

PropertyTypeDescription
place_keyrequiredUnique place key.
Sample response 200
json
{
  "category": "other",
  "point": {
    "lat": 40.74778,
    "lon": -73.99889
  },
  "name": "Headquarters",
  "address": "8120 Penn Ave S  Bloomington, MN 55431",
  "created": "2018-02-20T12:00:00",
  "key": "SampleKey",
  "from_time": "12:00:00",
  "to_time": "12:00:00",
  "active_weekdays": [0, 1, 2, 3, 4, 5, 6],
  "notifying_arrival": true,
  "notifying_departure": true,
  "radius": 0.01893939394,
  "radius_um": "mi",
  "updated": "2018-02-20T12:00:00"
}

Update Place

Update a Place name or status.

POST

http
https://api.zubiecar.com/api/v2/zinc/place/{place_key}

Path Parameters

PropertyTypeDescription
group_keyrequiredUnique group key.

Request Body Schema

PropertyTypeDescription
categorystringOne of the following: home, work, school, business or other.
pointobject (LocationPoint)
namestringPlace name.
addressstringAddress of location.
from_timestring requiredA string timestamp in the form hh:mm indicating the starting time window for detecting arrival/departure events, on active weekdays. Set to 00:00 for no time windows.
to_timestring requiredA string timestamp in the form hh:mm indicating the starting time window for detecting arrival/departure events, on active weekdays. Set to 00:00 for no time windows.
active_weekdaysArray of anyAn array of integers indicating days of the week to detect geofence events, where Monday is 0 and Sunday is 6. Define as a comma separated list of numbers.
notifying_arrivalbooleanFlag determines whether arrival notifications will be generated. The default behavior (if null), is to generate notifications. If disabled, place visits will still be tracked based on the weekday/time windows.
notifying_departurebooleanFlag determines whether departure notifications will be generated. The default behavior (if null), is to generate notifications. If disabled, place visits will still be tracked based on the weekday/time windows.
radiusnumber (double)Radius for triggering arrival/departure.
radius_umstringUnit of measure for radius, mi or km.
Sample request body
json
{
  "category": "other",
  "point": {
    "lat": 40.74778,
    "lon": -73.99889
  },
  "name": "Headquarters",
  "address": "8120 Penn Ave S  Bloomington, MN 55431",
  "from_time": "00:00",
  "to_time": "00:00",
  "active_weekdays": [0, 2, 7],
  "notifying_arrival": true,
  "notifying_departure": true,
  "radius": 0.01893939394,
  "radius_um": "mi"
}

Delete Place

Delete a Place.

DELETE

http
https://api.zubiecar.com/api/v2/zinc/place/{place_key}

Path Parameters

PropertyTypeDescription
place_keyrequiredUnique place key.